Qt 5.9 | Qt Core | C++ Classes | QScopedArrayPointer

Qt 5.9.9 Reference Documentation

# QScopedArrayPointer Class

The QScopedArrayPointer class stores a pointer to a dynamically allocated array of objects, and deletes it upon destruction. More...

Header: | #include <QScopedArrayPointer>
qmake: | QT += core
Since: | Qt 4.6
Inherits: | QScopedPointer

- List of all members, including inherited members

Note: All functions in this class are reentrant.

## Public Functions

| QScopedArrayPointer()
void | swap(QScopedArrayPointer &other)
T & | operator[](int i)
const T & | operator[](int i) const

- 9 public functions inherited from QScopedPointer

## Detailed Description

The QScopedArrayPointer class stores a pointer to a dynamically allocated array of objects, and deletes it upon destruction.

A QScopedArrayPointer is a QScopedPointer that defaults to deleting the object it is pointing to with the delete[] operator. It also features operator[] for convenience, so we can write:

      void foo()
      {
          QScopedArrayPointer<int> i(new int[10]);
          i[2] = 42;
          ...
          return; // our integer array is now deleted using delete[]
      }

## Member Function Documentation

### QScopedArrayPointer::QScopedArrayPointer()

Constructs a QScopedArrayPointer instance.

### void QScopedArrayPointer::swap(QScopedArrayPointer &other)

### T &QScopedArrayPointer::operator[](int i)

Provides access to entry i of the scoped pointer's array of objects.

If the contained pointer is `null`, behavior is undefined.

See also isNull().

### const T &QScopedArrayPointer::operator[](int i) const

Provides access to entry i of the scoped pointer's array of objects.

If the contained pointer is `null`, behavior is undefined.

See also isNull().